Hewlett Packard Enterprise opozarja – nadgradite strežniške pogone SSD!

Objavljeno: 27.11.2019 13:00 | Teme: HPE, ssd, varnost

Če imajo vaši strežniki nekatere izmed pogonov SAS SSD, ki jih v obvestilu navaja podporna stran Hewlett Packard Enterprise (HPE), jih čimprej nadgradite z novo strojno programsko opremo (firmware). Po 32.768 urah dela bodo namreč nepopravljivo odpovedali.

Programerji imajo občasno težave s števci, ki se v binarni obliki »obrnejo«, rezultat pa je nato nepredvidljivo delovanje programa ali naprave. Spomnimo se le t.i. hrošča Y2K, ki smo ga strahoma pričakovali ob prehodu v leto 2000 in zadnjih nadgradenj satelitskega sistema GPS. Kot kaže, je zadnja žrtev površnega programiranja in uporabe nekakšnega 15-bitnega števca smallint tudi strežniški Hewlett-Packard oz. njihovi strežniški/diskovni sistemi s pogoni SSD.

Na spletni strani z varnostnimi obvestili se je namreč pojavilo nujno obvestilo, da je treba nekatere izmed pogonov SSD nadgraditi z zadnjo različico strojne programske opreme (firmware), sicer se lahko zgodi katastrofa. Ko bo pogon dosegel 32.768 ur delovanja (3 leta, 270 dni in 8 ur!), bodo namreč podatki na njem postali popolnoma nedostopni, možna bo le njihova restavracija iz varnostne kopije. Ker diski v strežnikih in diskovnih sistemih ponavadi tečejo v skupinah (RAID), bo seveda hkrati odpovedala cela skupina, kar pomeni, da ne bo pomagal še tako »varen« RAID.

HPE še dodaja, da z ignoriranjem tega obvestila stranke nase prevzemajo tveganje izgube podatkov. Karkoli naj bi to pomenilo.

Kateri pogoni SSD so v nevarnosti, si lahko preberete na spodnji povezavi, tam najdete tudi ustrezne datoteke za nadgradnjo. Če ima vaš strežnik RAID krmilni Smart Array Controller, je nadgradnja možna, ne da bi strežnik ponovno zagnali.

Hewlett Packard Enterprise Support Center

 

Naroči se na redna tedenska ali mesečna obvestila o novih prispevkih na naši spletni strani!
Prijava

ph

Komentirajo lahko le prijavljeni uporabniki